/*-----------------------------------------------------------------------------
FILENAME: main.cpp
AUTHOR: S. Seegel, post@seegel-systeme.de
DATE: 22.7.2008
LICENSE: GPL v3
DESCRIPTION:  Some hardware initialization and main loop
-----------------------------------------------------------------------------*/

#include <avr/io.h>
#include <avr/interrupt.h>
#include "task.h"
#include "timer.h"
#include "rfid.h"
#include "tagmanager.h"

int main(void)
{
	DDRC = 1<<PC3 | 1<<PC2 | 1<<PC1 | 1<<PC0; //RSDIR, LEDA, LEDB, RELAIS
	//LEDAPORT ^= 1<<LEDAPINX;
	
	//initialize timer for Timer objects
	TCCR2 = 1<<WGM21 | 1<<CS22 | 1<<CS21;
	OCR2 = 29;
	TIMSK |= 1<<OCIE2;
	
	sei();
	
	tagmanager.Init();
	rfid.Init();
	
	volatile uint32_t d = 0;
	
	while (1)
	{
		task_execute();
	}
}
