/*-----------------------------------------------------------------------------
FILENAME: timer.h
AUTHOR: S. Seegel, post@seegel-systeme.de
DATE: 22.7.2008
LICENSE: GPL v3
DESCRIPTION: Declaration of Tagmanager class, which manages the tags in
eeprom, i.e. checking and adding.
-----------------------------------------------------------------------------*/

#ifndef tagmanager_h
#define tagmanager_h

#include "task.h"
#include "timer.h"

enum tagmanagermode_e {TMM_IDLE, TMM_LOOKUP};

class Tagmanager: public Task
{
	private:
		enum tagmanagermode_e mode;
		uint8_t tag[5];
		uint8_t *eeprom_ptr;
		Timer timer;
		bool admin;
		void GiveAccess(void);
		void DenyAccess(void);
		void AddCurrentTag(void);
	protected:
	public:
		Tagmanager(void);
		void Init(void);
		void Execute(void);
		void ProcessTag(uint8_t *tag);
};

extern Tagmanager tagmanager;

#endif
