/*-----------------------------------------------------------------------------
FILENAME: timer.h
AUTHOR: S. Seegel, post@seegel-systeme.de
DATE: 22.7.2008
LICENSE: GPL v3
DESCRIPTION: Implementation Timer class
-----------------------------------------------------------------------------*/

#include "task.h"

Task *task_list[MAX_NUM_TASKS];
static uint8_t num_tasks;

void task_execute(void)
{
	static uint8_t task = 0;
	
	if (num_tasks)
	{
		task_list[task++]->Execute();
		if (task >= num_tasks)
			task = 0;
	}
}


Task::Task(void)
{
	if (num_tasks < MAX_NUM_TASKS)
	{
		task_list[num_tasks++] = this;
	}
}
